=== debian/changelog ===
tahoe-lafs (1.12.1-5) unstable; urgency=medium

  * Use tracker team address in maintainers field.
    Closes: bug#899706, Thanks to Christoph Biedl.

 -- Vasudev Kamath <vasudev@copyninja.info>  Sat, 02 Jun 2018 15:50:55 +0530

tahoe-lafs (1.12.1-4) unstable; urgency=medium

  * debian/control:
    + Use new salsa URL for Vcs-* fields.
    + Mark package compliance with Debian policy 4.1.3.
  * Bump compat to 10. CDBS does not work with 11 yet.

 -- Vasudev Kamath <vasudev@copyninja.info>  Sun, 25 Mar 2018 12:05:15 +0530

tahoe-lafs (1.12.1-3) experimental; urgency=medium

  * Take over the package maintenance.
    Closes: bug#859401. Thanks to Ramakrishnan for his contribution to the
    package.
  * debian/control:
    + Make package team maintained.
    + Add myself as uploader for the package.
    + Use secure URL for Vcs-* fields.
  * Convert packaging style to CDBS, making sure its compatible to earlier
    version.
  * debian/copyright:
    + Update copyright holder as Tahoe-LAFS Software foundation.
    + Add all exceptions given by upstream in COPYING.GPL.
    + Add copyright for Debian folder.
    + Drop unused PSF license text.
  * Add lintian overrides for License-Reference field added in copyright
  * Add lintian override for license name not unique lintian warning.

 -- Vasudev Kamath <vasudev@copyninja.info>  Sun, 11 Jun 2017 15:15:23 +0530

tahoe-lafs (1.12.1-2+build1) unstable; urgency=medium

  * QA upload.
  * Rebuild with current debhelper to fix malformed md5sums file.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 02 Oct 2017 06:51:41 +0200

tahoe-lafs (1.12.1-2) unstable; urgency=medium

  * Orphaning the package.

 -- Ramakrishnan Muthukrishnan <ram@rkrishnan.org>  Fri, 31 Mar 2017 14:55:33 +0530

tahoe-lafs (1.12.1-1) unstable; urgency=medium

  * New upstream release without the shutilwhich dependency
    and a few other nice bug fixes.
  * d/control:
      -remove python-shutilwhich dependency.
      - minimum foolscap version required is 0.12.6.
      - add the missing pycparser and cffi dependencies.
  * d/watch: fix the watch urls.

 -- Ramakrishnan Muthukrishnan <rkrishnan@debian.org>  Thu, 19 Jan 2017 07:58:57 +0530

tahoe-lafs (1.12.0-1) unstable; urgency=medium

  * New upstream release (1.12.0).
  * d/control: add dependency of python-shutilwhich.

 -- Ramakrishnan Muthukrishnan <rkrishnan@debian.org>  Thu, 22 Dec 2016 06:21:11 +0530

tahoe-lafs (1.11.0-3) unstable; urgency=medium

  * d/tahoe-lafs.init:
   - remove spurious '+' from a manual merge of a patch.
   - remove the call to log_progress_msg "\n".

 -- Ramakrishnan Muthukrishnan <rkrishnan@debian.org>  Wed, 02 Nov 2016 10:59:58 +0530

tahoe-lafs (1.11.0-2) unstable; urgency=medium

  * d/control: update twisted version to match src/allmydata/_auto_deps.py.
  * d/rules: remove the dh_prep overrides, which are not needed anymore.
  * d/tahoe-lafs.init:
     - when AUTOSTART is set to "none", don't start a node named "none".
     - when AUTOSTART lists a non-existing node, don't attempt to start it.
     - handle the case where the node is not owned by any existing user.
     Thanks to Sébastien Béhuret <sbehuret@gmail.com> for the patch.
    (Closes: #807208)
 -- Ramakrishnan Muthukrishnan <rkrishnan@debian.org>  Wed, 02 Nov 2016 10:21:21 +0530
