=== debian/control ===
Source: tahoe-lafs
Section: utils
Priority: optional
Maintainer: Tahoe Packaging Team <team+tahoe-team@tracker.debian.org>
Uploaders: Vasudev Kamath <vasudev@copyninja.info>
Build-Depends: cdbs,
 debhelper (>= 10~),
 dh-buildinfo,
 python,
 python-setuptools,
 python-twisted (>= 15.1.0),
 dh-python
Standards-Version: 4.1.3
Vcs-Git: https://salsa.debian.org/vasudev/tahoe-lafs.git
Vcs-Browser: https://salsa.debian.org/vasudev/tahoe-lafs
Homepage: http://tahoe-lafs.org/trac/tahoe

Package: tahoe-lafs
Architecture: all
Depends: ${misc:Depends},
 ${python:Depends},
 ${cdbs:Depends}
Description: Secure distributed file store
 Tahoe, the Least Authority File Store, is a distributed filesystem that
 features high reliability, strong security properties, and a fine-grained
 sharing model. Files are encrypted, signed, erasure-coded, then distributed
 over multiple servers, such that any (configurable) subset of the servers
 will be sufficient to recover the data. The default 3-of-10 configuration
 tolerates up to 7 server failures before data becomes unrecoverable.
 .
 Tahoe offers "provider-independent security": the confidentiality and
 integrity of your data do not depend upon the behavior of the servers. The
 use of erasure-coding means that reliability and availability depend only
 upon a subset of the servers.
 .
 Tahoe files are accessed through a RESTful web API, a human-oriented web
 server interface, and CLI tools.
