=== debian/rules ===
#!/usr/bin/make -f

DEB_PYTHON2_MODULE_PACKAGES = tahoe-lafs

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/python-distutils.mk

# Avoid unneeded build-dependency on python-dev
CDBS_BUILD_DEPENDS_class_python-distutils_python =

# Build dependency for package
CDBS_BUILD_DEPENDS += , python-setuptools, python-twisted (>= 15.1.0), dh-python

package = tahoe-lafs

# Dependency for tahoe
CDBS_DEPENDS_$(package) = , python-pyasn1 (>= 0.1.4), python-crypto (>= 2.6)
CDBS_DEPENDS_$(package) += , python-foolscap (>= 0.12.6), python-openssl (>= 0.14)
CDBS_DEPENDS_$(package) += , python-nevow (>= 0.11.1), python-simplejson (>= 1.4)
CDBS_DEPENDS_$(package) += , python-zfec (>= 1.1.0), python-pycryptopp (>= 0.6.0)
CDBS_DEPENDS_$(package) += , python-setuptools, python-twisted (>= 15.1.0)
CDBS_DEPENDS_$(package) += , python-characteristic (>= 14.0.0), python-cffi (>= 1.7.0)
CDBS_DEPENDS_$(package) += , python-pycparser (>= 2.17), net-tools, lsb-base (>= 3.0-6)

# Do not install upstream install documentation
DEB_INSTALL_DOCS_DEFAULT = --exclude=INSTALL.rst

# Keep upstream NEWS symlinked
DEB_INSTALLCHANGELOGS_ARGS_$(package) = -k NEWS.rst

# Make munin plugins executable
binary-fixup/$(package):: debian/stamp-fix-munin-plugin-perms
debian/stamp-fix-munin-plugin-perms:
		chmod +x debian/tahoe-lafs/usr/share/munin/plugins/*
		touch $@
clean::
	rm -f debian/stamp-fix-munin-plugin-perms
