=== debian/changelog ===
tahoe-lafs (1.17.0-1) unstable; urgency=medium

  * Initial release. (Closes: #995352)

 -- Andrius Merkys <merkys@debian.org>  Thu, 26 Oct 2023 10:34:19 -0400
