=== debian/control ===
Source: tahoe-lafs
Section: utils
Priority: optional
Maintainer: Andrius Merkys <merkys@debian.org>
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 magic-wormhole <!nocheck>,
 python3-all,
 python3-autobahn <!nocheck>,
 python3-bs4 <!nocheck>,
 python3-cbor2 <!nocheck>,
 python3-collections-extended <!nocheck>,
 python3-eliot <!nocheck>,
 python3-exceptiongroup <!nocheck>,
 python3-foolscap <!nocheck>,
 python3-future <!nocheck>,
 python3-html5lib <!nocheck>,
 python3-hypothesis <!nocheck>,
 python3-klein <!nocheck>,
 python3-mock <!nocheck>,
 python3-netifaces <!nocheck>,
 python3-prometheus-client <!nocheck>,
 python3-pytest <!nocheck>,
 python3-pyutil <!nocheck>,
 python3-setuptools,
 python3-tenacity <!nocheck>,
 python3-testtools <!nocheck>,
 python3-treq <!nocheck>,
 python3-txi2p-tahoe <!nocheck>,
 python3-txtorcon <!nocheck>,
 python3-yaml <!nocheck>,
 python3-zfec <!nocheck>,
Testsuite: autopkgtest-pkg-pybuild
Standards-Version: 4.6.2
Homepage: https://www.tahoe-lafs.org
Vcs-Browser: https://salsa.debian.org/merkys/tahoe-lafs
Vcs-Git: https://salsa.debian.org/merkys/tahoe-lafs.git

Package: tahoe-lafs
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: Tahoe Least-Authority File Store
 Tahoe Least-Authority File Store is the first free software/open-source storage
 technology that distributes data across multiple servers. Even if some servers
 fail or are taken over by an attacker, the entire file store continues to
 function correctly, preserving privacy and security.
