=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk

export PYBUILD_NAME = tahoe-lafs
export PYBUILD_TEST_ARGS = -k 'not test_versions and not testing_tub'

%:
	dh $@ --buildsystem pybuild

execute_before_dh_auto_configure:
	echo verstr = \"$(DEB_VERSION_UPSTREAM)\" > debian/version

execute_before_dh_auto_build:
	python3 setup.py update_version

execute_after_dh_auto_test:
	find .pybuild/*/build -mindepth 1 -maxdepth 1 ! -name allmydata | xargs rm -rf
