=== debian/watch ===
version=4
https://www.tahoe-lafs.org/downloads/ \
 @PACKAGE@@ANY_VERSION@@ARCHIVE_EXT@
