=== debian/changelog ===
tahoe-lafs (1.20.0-7) unstable; urgency=medium

  [ Elena Grandi ]
  * Backport Amend TestStreamingLogs to work with Twisted 25.5.0
    (Closes: #1117435)
  * Explicitely add missing dependencies (Closes: #1117435)

 -- Andrius Merkys <merkys@debian.org>  Mon, 17 Nov 2025 02:41:52 -0500

tahoe-lafs (1.20.0-6) unstable; urgency=medium

  * Backport a PR adjusting manpages.

 -- Andrius Merkys <merkys@debian.org>  Fri, 16 May 2025 04:15:21 -0400

tahoe-lafs (1.20.0-5) unstable; urgency=medium

  * Limit building to 64bit architectures (Closes: #1103096)

 -- Andrius Merkys <merkys@debian.org>  Mon, 14 Apr 2025 08:39:41 -0400

tahoe-lafs (1.20.0-4) unstable; urgency=medium

  * Tests depend on python3-fixtures (Closes: #1099293)

 -- Andrius Merkys <merkys@debian.org>  Mon, 03 Mar 2025 10:05:59 -0500

tahoe-lafs (1.20.0-3) unstable; urgency=medium

  * Backport upstream patch to fix FTBFS (Closes: #1098632)
  * Install the manpage for tahoe.

 -- Andrius Merkys <merkys@debian.org>  Wed, 26 Feb 2025 02:33:03 -0500

tahoe-lafs (1.20.0-2) unstable; urgency=medium

  * Drop superfluous dependency on python3-mock (Closes: #1092271).
  * Backport upstream PR to fix SyntaxWarnings when installing the package.

 -- Andrius Merkys <merkys@debian.org>  Tue, 14 Jan 2025 06:28:20 -0500

tahoe-lafs (1.20.0-1) unstable; urgency=medium

  * New upstream version 1.20.0 (Closes: #1079794, #1083794)
  * Backport upstream PRs to remove the usage of python3-future
    (Closes: #1063827)
  * Tests depend on python3-legacy-cgi (Closes: #1084658)
  * Drop 'Testsuite: autopkgtest-pkg-pybuild' due to failures because of
    relative imports.

 -- Andrius Merkys <merkys@debian.org>  Fri, 03 Jan 2025 03:43:39 -0500
