=== debian/control ===
--- 
+++ 
@@ -4,9 +4,11 @@
 Maintainer: Andrius Merkys <merkys@debian.org>
 Rules-Requires-Root: no
 Build-Depends:
+ architecture-is-64-bit,
  debhelper-compat (= 13),
  dh-sequence-python3,
  magic-wormhole <!nocheck>,
+ pybuild-plugin-pyproject,
  python3-all,
  python3-autobahn <!nocheck>,
  python3-bs4 <!nocheck>,
@@ -14,14 +16,18 @@
  python3-collections-extended <!nocheck>,
  python3-eliot <!nocheck>,
  python3-exceptiongroup <!nocheck>,
+ python3-filelock <!nocheck>,
+ python3-fixtures <!nocheck>,
  python3-foolscap <!nocheck>,
- python3-future <!nocheck>,
+ python3-hatch-vcs,
  python3-html5lib <!nocheck>,
  python3-hypothesis <!nocheck>,
  python3-klein <!nocheck>,
- python3-mock <!nocheck>,
+ python3-legacy-cgi <!nocheck>,
  python3-netifaces <!nocheck>,
  python3-prometheus-client <!nocheck>,
+ python3-psutil <!nocheck>,
+ python3-pycddl <!nocheck>,
  python3-pytest <!nocheck>,
  python3-pyutil <!nocheck>,
  python3-setuptools,
@@ -32,7 +38,6 @@
  python3-txtorcon <!nocheck>,
  python3-yaml <!nocheck>,
  python3-zfec <!nocheck>,
-Testsuite: autopkgtest-pkg-pybuild
 Standards-Version: 4.6.2
 Homepage: https://www.tahoe-lafs.org
 Vcs-Browser: https://salsa.debian.org/merkys/tahoe-lafs
@@ -43,6 +48,23 @@
 Depends:
  ${misc:Depends},
  ${python3:Depends},
+ python3-cbor2,
+ python3-collections-extended,
+ python3-eliot,
+ python3-filelock,
+ python3-foolscap,
+ python3-klein,
+ python3-legacy-cgi,
+ python3-nacl,
+ python3-netifaces,
+ python3-psutil,
+ python3-pycddl,
+ python3-pyutil,
+ python3-treq,
+ python3-twisted,
+ python3-wormhole,
+ python3-yaml,
+ python3-zfec,
 Description: Tahoe Least-Authority File Store
  Tahoe Least-Authority File Store is the first free software/open-source storage
  technology that distributes data across multiple servers. Even if some servers
