=== debian/watch ===
version=4
https://www.tahoe-lafs.org/downloads/ \
 tahoe[-_]lafs-@ANY_VERSION@@ARCHIVE_EXT@
